Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.context
Class ResponseWriterWrapper

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              javax.faces.context.ResponseWriterWrapper

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, FacesWrapper<ResponseWriter>

Direct Known Subclasses:
  PartialResponseWriter

    public abstract class ResponseWriterWrapper

extends ResponseWriter
implements FacesWrapper<ResponseWriter>

Provides a simple implementation of `ResponseWriter` that can be subclassed by developers wishing to provide specialized behavior to an existing `ResponseWriter` instance. The default implementation of all methods is to call through to the wrapped `ResponseWriter`.

Usage: extend this class and override `getWrapped()` to return the instance we are wrapping.

Since:
  1.2

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ResponseWriterWrapper()`

Method Summary
`ResponseWriter` | `cloneWithWriter(java.io.Writer writer)` The default behavior of this method is to call `ResponseWriter.cloneWithWriter(java.io.Writer)` on the wrapped `ResponseWriter` object.
`void` | `close()` The default behavior of this method is to call `Writer.close()` on the wrapped `ResponseWriter` object.
`void` | `endCDATA()` The default behavior of this method is to call `ResponseWriter.endCDATA()` on the wrapped `ResponseWriter` object.
`void` | `endDocument()` The default behavior of this method is to call `ResponseWriter.endDocument()` on the wrapped `ResponseWriter` object.
`void` | `endElement(java.lang.String name)` The default behavior of this method is to call `ResponseWriter.endElement(String)` on the wrapped `ResponseWriter` object.
`void` | `flush()` The default behavior of this method is to call `ResponseWriter.flush()` on the wrapped `ResponseWriter` object.
`java.lang.String` | `getCharacterEncoding()` The default behavior of this method is to call `ResponseWriter.getCharacterEncoding()` on the wrapped `ResponseWriter` object.
`java.lang.String` | `getContentType()` The default behavior of this method is to call `ResponseWriter.getContentType()` on the wrapped `ResponseWriter` object.
`abstract ResponseWriter` | `getWrapped()` Return the instance that we are wrapping.
`void` | `startCDATA()` The default behavior of this method is to call `ResponseWriter.startCDATA()` on the wrapped `ResponseWriter` object.
`void` | `startDocument()` The default behavior of this method is to call `ResponseWriter.startDocument()` on the wrapped `ResponseWriter` object.
`void` | `startElement(java.lang.String name, UIComponent component)` The default behavior of this method is to call `ResponseWriter.startElement(String, javax.faces.component.UIComponent)` on the wrapped `ResponseWriter` object.
`void` | `write(char[] cbuf, int off, int len)` The default behavior of this method is to call `Writer.write(char[], int, int)` on the wrapped `ResponseWriter` object.
`void` | `writeAttribute(java.lang.String name, java.lang.Object value, java.lang.String property)` The default behavior of this method is to call `ResponseWriter.writeAttribute(String, Object, String)` on the wrapped `ResponseWriter` object.
`void` | `writeComment(java.lang.Object comment)` The default behavior of this method is to call `ResponseWriter.writeComment(Object)` on the wrapped `ResponseWriter` object.
`void` | `writeText(char[] text, int off, int len)` The default behavior of this method is to call `ResponseWriter.writeText(char[], int, int)` on the wrapped `ResponseWriter` object.
`void` | `writeText(java.lang.Object text, java.lang.String property)` The default behavior of this method is to call `ResponseWriter.writeText(Object, String)` on the wrapped `ResponseWriter` object.
`void` | `writeText(java.lang.Object text, UIComponent component, java.lang.String property)` The default behavior of this method is to call `ResponseWriter.writeText(Object, UIComponent, String)` on the wrapped `ResponseWriter` object.
`void` | `writeURIAttribute(java.lang.String name, java.lang.Object value, java.lang.String property)` The default behavior of this method is to call `ResponseWriter.writeURIAttribute(String, Object, String)` on the wrapped `ResponseWriter` object.

Methods inherited from class java.io.Writer
`append, append, append, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseWriterWrapper

    public ResponseWriterWrapper()

Method Detail

### getWrapped

    public abstract ResponseWriter getWrapped()

  Return the instance that we are wrapping. As of version 2, this method is public.

  Specified by:
    `getWrapped` in interface `FacesWrapper<ResponseWriter>`

### getContentType

    public java.lang.String getContentType()

  The default behavior of this method is to call `ResponseWriter.getContentType()` on the wrapped `ResponseWriter` object.

  Specified by:
    `getContentType` in class `ResponseWriter`
  Since:
    1.2
  See Also:
    `ResponseWriter.getContentType()`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  The default behavior of this method is to call `ResponseWriter.getCharacterEncoding()` on the wrapped `ResponseWriter` object.

  Specified by:
    `getCharacterEncoding` in class `ResponseWriter`
  Since:
    1.2
  See Also:
    `ResponseWriter.getCharacterEncoding()`

### flush

    public void flush()
               throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.flush()` on the wrapped `ResponseWriter` object.

  Specified by:
    `flush` in interface `java.io.Flushable`
  Specified by:
    `flush` in class `ResponseWriter`
  Throws:
    `java.io.IOException`
  Since:
    1.2
  See Also:
    `ResponseWriter.flush()`

### startDocument

    public void startDocument()
                       throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.startDocument()` on the wrapped `ResponseWriter` object.

  Specified by:
    `startDocument` in class `ResponseWriter`
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.startDocument()`

### endDocument

    public void endDocument()
                     throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.endDocument()` on the wrapped `ResponseWriter` object.

  Specified by:
    `endDocument` in class `ResponseWriter`
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.endDocument()`

### startElement

    public void startElement(java.lang.String name,
                             UIComponent component)
                      throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.startElement(String, javax.faces.component.UIComponent)` on the wrapped `ResponseWriter` object.

  Specified by:
    `startElement` in class `ResponseWriter`
  Parameters:
    `name` - Name of the element to be started
    `component` - The `UIComponent` (if any) to which this element corresponds
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.startElement(String, javax.faces.component.UIComponent)`

### startCDATA

    public void startCDATA()
                    throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.startCDATA()` on the wrapped `ResponseWriter` object.

  Overrides:
    `startCDATA` in class `ResponseWriter`
  Throws:
    `java.io.IOException` - on any read/write error
  Since:
    2.0

### endCDATA

    public void endCDATA()
                  throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.endCDATA()` on the wrapped `ResponseWriter` object.

  Overrides:
    `endCDATA` in class `ResponseWriter`
  Throws:
    `java.io.IOException` - on any read/write error
  Since:
    2.0

### endElement

    public void endElement(java.lang.String name)
                    throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.endElement(String)` on the wrapped `ResponseWriter` object.

  Specified by:
    `endElement` in class `ResponseWriter`
  Parameters:
    `name` - Name of the element to be ended
  Throws:
    `java.io.IOException` - on any read/write error
  Since:
    1.2
  See Also:
    `ResponseWriter.endElement(String)`

### writeAttribute

    public void writeAttribute(java.lang.String name,
                               java.lang.Object value,
                               java.lang.String property)
                        throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.writeAttribute(String, Object, String)` on the wrapped `ResponseWriter` object.

  Specified by:
    `writeAttribute` in class `ResponseWriter`
  Parameters:
    `name` - Attribute name to be added
    `value` - Attribute value to be added
    `property` - Name of the property or attribute (if any) of the `UIComponent` associated with the containing element, to which this generated attribute corresponds
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.writeAttribute(String, Object, String)`

### writeURIAttribute

    public void writeURIAttribute(java.lang.String name,
                                  java.lang.Object value,
                                  java.lang.String property)
                           throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.writeURIAttribute(String, Object, String)` on the wrapped `ResponseWriter` object.

  Specified by:
    `writeURIAttribute` in class `ResponseWriter`
  Parameters:
    `name` - Attribute name to be added
    `value` - Attribute value to be added
    `property` - Name of the property or attribute (if any) of the `UIComponent` associated with the containing element, to which this generated attribute corresponds
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.writeURIAttribute(String, Object, String)`

### writeComment

    public void writeComment(java.lang.Object comment)
                      throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.writeComment(Object)` on the wrapped `ResponseWriter` object.

  Specified by:
    `writeComment` in class `ResponseWriter`
  Parameters:
    `comment` - Text content of the comment
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.writeComment(Object)`

### writeText

    public void writeText(java.lang.Object text,
                          java.lang.String property)
                   throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.writeText(Object, String)` on the wrapped `ResponseWriter` object.

  Specified by:
    `writeText` in class `ResponseWriter`
  Parameters:
    `text` - Text to be written
    `property` - Name of the property or attribute (if any) of the `UIComponent` associated with the containing element, to which this generated text corresponds
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.writeText(Object, String)`

### writeText

    public void writeText(java.lang.Object text,
                          UIComponent component,
                          java.lang.String property)
                   throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.writeText(Object, UIComponent, String)` on the wrapped `ResponseWriter` object.

  Overrides:
    `writeText` in class `ResponseWriter`
  Parameters:
    `text` - Text to be written
    `component` - The `UIComponent` (if any) to which this element corresponds
    `property` - Name of the property or attribute (if any) of the `UIComponent` associated with the containing element, to which this generated text corresponds
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.writeText(Object, String)`

### writeText

    public void writeText(char[] text,
                          int off,
                          int len)
                   throws java.io.IOException

  The default behavior of this method is to call `ResponseWriter.writeText(char[], int, int)` on the wrapped `ResponseWriter` object.

  Specified by:
    `writeText` in class `ResponseWriter`
  Parameters:
    `text` - Text to be written
    `off` - Starting offset (zero-relative)
    `len` - Number of characters to be written
  Throws:
    `java.io.IOException` - if an input/output error occurs
  Since:
    1.2
  See Also:
    `ResponseWriter.writeText(char[], int, int)`

### cloneWithWriter

    public ResponseWriter cloneWithWriter(java.io.Writer writer)

  The default behavior of this method is to call `ResponseWriter.cloneWithWriter(java.io.Writer)` on the wrapped `ResponseWriter` object.

  Specified by:
    `cloneWithWriter` in class `ResponseWriter`
  Parameters:
    `writer` - The `Writer` that is the output destination
  Since:
    1.2
  See Also:
    `ResponseWriter.cloneWithWriter(java.io.Writer)`

### close

    public void close()
               throws java.io.IOException

  The default behavior of this method is to call `Writer.close()` on the wrapped `ResponseWriter` object.

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Writer`
  Throws:
    `java.io.IOException`
  Since:
    1.2
  See Also:
    `Writer.close()`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  The default behavior of this method is to call `Writer.write(char[], int, int)` on the wrapped `ResponseWriter` object.

  Specified by:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`
  Since:
    1.2
  See Also:
    `Writer.write(char[], int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.